package jesse.keeblarcraft.Utils;

import net.minecraft.inventory.Inventory;
import net.minecraft.screen.slot.Slot;

public class CustomSlot extends Slot {
    private boolean slotIsEnabled = false;

    public CustomSlot(Inventory inventory, int index, int x, int y) {
        super(inventory, index, x, y);
    }

    @Override
    public boolean isEnabled() {
        return slotIsEnabled;
    }

    public void setEnabled(boolean value) {
        this.slotIsEnabled = value;
    }
}
